'use strict'
// Template version: 1.3.1
// see http://vuejs-templates.github.io/webpack for documentation.

const path = require('path');
const env =  process.env.NODE_ENV === 'testing'
  ? require('../config/test.env')
  : require('../config/prod.env')
  // let Paths = 'static/'+env.versionTime
  let Paths = 'static'
module.exports = {
  dev: {
    // Paths
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    proxyTable: {
      '/api': {
        target: 'https://wechat-test.changchangenglish.com',
        changeOrigin: true, // 如果接口跨域，需要进行这个参数配置
      }
    },
    // Various Dev Server settings
    host: '10.1.23.212', // can be overwritten by process.env.HOST
    // host: '192.168.31.185', // can be overwritten by process.env.HOST
    // host: 'localhost', // can be overwritten by process.env.HOST
    port: 8085, // can be overwritten by process.env.PORT, if port is in use, a free one will be determined
    autoOpenBrowser: false,
    errorOverlay: true,
    notifyOnErrors: true,
    poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-
    /**
     * Source Maps
     */

    // https://webpack.js.org/configuration/devtool/#development
    devtool: 'cheap-module-eval-source-map',

    // If you have problems debugging vue-files in devtools,
    // set this to false - it *may* help
    // https://vue-loader.vuejs.org/en/options.html#cachebusting
    cacheBusting: true,
    cssSourceMap: true
  },
  build: {
    // Template for index.html
    index: process.env.NODE_ENV === 'production' ? path.resolve(__dirname, '../dist/index.html') :  path.resolve(__dirname, '../dev/index.html'),
    // Paths
    assetsRoot: process.env.NODE_ENV === 'production' ? path.resolve(__dirname, '../dist') : path.resolve(__dirname, '../dev'),
    // assetsSubDirectory:process.env.NODE_ENV === 'production' ? 'static/2019061017':'static',
    assetsSubDirectory:Paths,
    assetsPublicPath: process.env.NODE_ENV === 'production' ? 'https://static-cdn.changchangenglish.com/new-sing/' : '',

    /**
     * Source Maps
     */

    productionSourceMap: false,
    // https://webpack.js.org/configuration/devtool/#production
    devtool: '#source-map',

    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ['js', 'css'],

    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  }
};
